# Class RowEvaluator.Metadata

java.lang.Object
uk.ac.starlink.table.formats.RowEvaluator.Metadata

Enclosing class:
  `RowEvaluator`

public static class RowEvaluator.Metadata extends Object
Helper class used to group quantities which describe what the data types found in the columns of a table are.

Since:
  21 Sep 2004
Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`final ColumnInfo[]`
`colInfos_`
`final RowEvaluator.Decoder<?>[]`
`decoders_`
`final int`
`ncol_`
`final long`
`nrow_`

## Constructor Summary

Constructors
Constructor
Description
`Metadata(ColumnInfo[] colInfos, RowEvaluator.Decoder<?>[] decoders, long nrow)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### colInfos_

public final ColumnInfo[] colInfos_

### decoders_

public final RowEvaluator.Decoder<?>[] decoders_

### nrow_

public final long nrow_

### ncol_

public final int ncol_

## Constructor Details

### Metadata

public Metadata(ColumnInfo[] colInfos, RowEvaluator.Decoder<?>[] decoders, long nrow)